Bug 252798 - Amarok and banshee both crash
Summary: Amarok and banshee both crash
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: general (show other bugs)
Version: 2.3.0
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: 2.4.0
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-29 21:55 UTC by Richard
Modified: 2010-12-20 14:30 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 2.3.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Richard 2010-09-29 21:55:37 UTC
Application: amarok (2.3.0)
KDE Platform Version: 4.4.4 (KDE 4.4.4) "release 3"
Qt Version: 4.6.3
Operating System: Linux 2.6.34.7-0.3-desktop i686
Distribution: "openSUSE 11.3 (i586)"

-- Information about the crash:
The computer had been idle for some time just playing MP3's.  Banshee indicated it had some kind of a duplicate index.  Banshee crashed repeatedly so I switched to amarok which played for probably a half-hour before it crashed.

 -- Backtrace:
Application: Amarok (amarok), signal: Aborted
[Current thread is 1 (Thread 0xb24e2710 (LWP 17490))]

Thread 19 (Thread 0xafa40b70 (LWP 17494)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb575d5b3 in __lll_lock_wait_private () from /lib/libc.so.6
#2  0xb56f035f in _L_lock_10260 () from /lib/libc.so.6
#3  0xb56eead6 in free () from /lib/libc.so.6
#4  0xb330d836 in g_free () from /usr/lib/libglib-2.0.so.0
#5  0xb3303523 in ?? () from /usr/lib/libglib-2.0.so.0
#6  0xb6506218 in QEventDispatcherGlib::~QEventDispatcherGlib() () from /usr/lib/libQtCore.so.4
#7  0xb6506342 in QEventDispatcherGlib::~QEventDispatcherGlib() () from /usr/lib/libQtCore.so.4
#8  0xb63df1ec in ?? () from /usr/lib/libQtCore.so.4
#9  0xb63e0057 in ?? () from /usr/lib/libQtCore.so.4
#10 0xb53d1b25 in start_thread () from /lib/libpthread.so.0
#11 0xb574f46e in clone () from /lib/libc.so.6

Thread 18 (Thread 0xabaaab70 (LWP 17510)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb53d6125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb575d24c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xaef11613 in vlc_cond_wait (p_condvar=0x8311560, p_mutex=0x8311548) at misc/pthread.c:359
#4  0xaee860c6 in LoopRequest (data=0x8311484) at playlist/thread.c:539
#5  Thread (data=0x8311484) at playlist/thread.c:586
#6  0xb53d1b25 in start_thread () from /lib/libpthread.so.0
#7  0xb574f46e in clone () from /lib/libc.so.6

Thread 17 (Thread 0xa60e4b70 (LWP 17513)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb53d6125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb575d24c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xa71228b6 in os_event_wait_low () from /usr/lib/libmysqld.so.0
#4  0xa712135b in os_aio_simulated_handle () from /usr/lib/libmysqld.so.0
#5  0xa70dd6d0 in fil_aio_wait () from /usr/lib/libmysqld.so.0
#6  0xa715ef80 in ?? () from /usr/lib/libmysqld.so.0
#7  0xb53d1b25 in start_thread () from /lib/libpthread.so.0
#8  0xb574f46e in clone () from /lib/libc.so.6

Thread 16 (Thread 0xa42aab70 (LWP 17514)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb53d6125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb575d24c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xa71228b6 in os_event_wait_low () from /usr/lib/libmysqld.so.0
#4  0xa712135b in os_aio_simulated_handle () from /usr/lib/libmysqld.so.0
#5  0xa70dd6d0 in fil_aio_wait () from /usr/lib/libmysqld.so.0
#6  0xa715ef80 in ?? () from /usr/lib/libmysqld.so.0
#7  0xb53d1b25 in start_thread () from /lib/libpthread.so.0
#8  0xb574f46e in clone () from /lib/libc.so.6

Thread 15 (Thread 0xa3aa9b70 (LWP 17515)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb53d6125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb575d24c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xa71228b6 in os_event_wait_low () from /usr/lib/libmysqld.so.0
#4  0xa712135b in os_aio_simulated_handle () from /usr/lib/libmysqld.so.0
#5  0xa70dd6d0 in fil_aio_wait () from /usr/lib/libmysqld.so.0
#6  0xa715ef80 in ?? () from /usr/lib/libmysqld.so.0
#7  0xb53d1b25 in start_thread () from /lib/libpthread.so.0
#8  0xb574f46e in clone () from /lib/libc.so.6

Thread 14 (Thread 0xa32a8b70 (LWP 17516)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb53d6125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb575d24c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xa71228b6 in os_event_wait_low () from /usr/lib/libmysqld.so.0
#4  0xa712135b in os_aio_simulated_handle () from /usr/lib/libmysqld.so.0
#5  0xa70dd6d0 in fil_aio_wait () from /usr/lib/libmysqld.so.0
#6  0xa715ef80 in ?? () from /usr/lib/libmysqld.so.0
#7  0xb53d1b25 in start_thread () from /lib/libpthread.so.0
#8  0xb574f46e in clone () from /lib/libc.so.6

Thread 13 (Thread 0xa22a6b70 (LWP 17518)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb57480b1 in select () from /lib/libc.so.6
#2  0xa712320b in os_thread_sleep () from /usr/lib/libmysqld.so.0
#3  0xa715dabc in srv_lock_timeout_thread () from /usr/lib/libmysqld.so.0
#4  0xb53d1b25 in start_thread () from /lib/libpthread.so.0
#5  0xb574f46e in clone () from /lib/libc.so.6

Thread 12 (Thread 0xa1aa5b70 (LWP 17519)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb57480b1 in select () from /lib/libc.so.6
#2  0xa712320b in os_thread_sleep () from /usr/lib/libmysqld.so.0
#3  0xa715ddee in srv_error_monitor_thread () from /usr/lib/libmysqld.so.0
#4  0xb53d1b25 in start_thread () from /lib/libpthread.so.0
#5  0xb574f46e in clone () from /lib/libc.so.6

Thread 11 (Thread 0xa12a4b70 (LWP 17520)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb57480b1 in select () from /lib/libc.so.6
#2  0xa712320b in os_thread_sleep () from /usr/lib/libmysqld.so.0
#3  0xa715d640 in srv_monitor_thread () from /usr/lib/libmysqld.so.0
#4  0xb53d1b25 in start_thread () from /lib/libpthread.so.0
#5  0xb574f46e in clone () from /lib/libc.so.6

Thread 10 (Thread 0xa0aa3b70 (LWP 17521)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb53d6125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb575d24c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xa71228b6 in os_event_wait_low () from /usr/lib/libmysqld.so.0
#4  0xa715e493 in srv_master_thread () from /usr/lib/libmysqld.so.0
#5  0xb53d1b25 in start_thread () from /lib/libpthread.so.0
#6  0xb574f46e in clone () from /lib/libc.so.6

Thread 9 (Thread 0x9e88fb70 (LWP 17545)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb53d6125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb575d24c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb3ca91f7 in ?? () from /usr/lib/libQtWebKit.so.4
#4  0xb3ca923f in ?? () from /usr/lib/libQtWebKit.so.4
#5  0xb53d1b25 in start_thread () from /lib/libpthread.so.0
#6  0xb574f46e in clone () from /lib/libc.so.6

Thread 8 (Thread 0x9df50b70 (LWP 17546)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb53d6125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb575d24c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb63e0710 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb4eb924a in ?? () from /usr/lib/libthreadweaver.so.4
#5  0xb4ebc307 in ?? () from /usr/lib/libthreadweaver.so.4
#6  0xb4eb8b43 in ?? () from /usr/lib/libthreadweaver.so.4
#7  0xb4eb9744 in ?? () from /usr/lib/libthreadweaver.so.4
#8  0xb4eb97fa in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#9  0xb63e004f in ?? () from /usr/lib/libQtCore.so.4
#10 0xb53d1b25 in start_thread () from /lib/libpthread.so.0
#11 0xb574f46e in clone () from /lib/libc.so.6

Thread 7 (Thread 0x9d74fb70 (LWP 17547)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb53d6125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb575d24c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb63e0710 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb4eb924a in ?? () from /usr/lib/libthreadweaver.so.4
#5  0xb4ebc307 in ?? () from /usr/lib/libthreadweaver.so.4
#6  0xb4eb8b43 in ?? () from /usr/lib/libthreadweaver.so.4
#7  0xb4eb9744 in ?? () from /usr/lib/libthreadweaver.so.4
#8  0xb4eb97fa in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#9  0xb63e004f in ?? () from /usr/lib/libQtCore.so.4
#10 0xb53d1b25 in start_thread () from /lib/libpthread.so.0
#11 0xb574f46e in clone () from /lib/libc.so.6

Thread 6 (Thread 0x9ca7cb70 (LWP 17558)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb53d6125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb575d24c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb63e0710 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb4eb924a in ?? () from /usr/lib/libthreadweaver.so.4
#5  0xb4ebc307 in ?? () from /usr/lib/libthreadweaver.so.4
#6  0xb4eb8b43 in ?? () from /usr/lib/libthreadweaver.so.4
#7  0xb4eb9744 in ?? () from /usr/lib/libthreadweaver.so.4
#8  0xb4eb97fa in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#9  0xb63e004f in ?? () from /usr/lib/libQtCore.so.4
#10 0xb53d1b25 in start_thread () from /lib/libpthread.so.0
#11 0xb574f46e in clone () from /lib/libc.so.6

Thread 5 (Thread 0x9c0ffb70 (LWP 17560)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb53d6125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb575d24c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb63e0710 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb4eb924a in ?? () from /usr/lib/libthreadweaver.so.4
#5  0xb4ebc307 in ?? () from /usr/lib/libthreadweaver.so.4
#6  0xb4eb8b43 in ?? () from /usr/lib/libthreadweaver.so.4
#7  0xb4eb9744 in ?? () from /usr/lib/libthreadweaver.so.4
#8  0xb4eb97fa in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#9  0xb63e004f in ?? () from /usr/lib/libQtCore.so.4
#10 0xb53d1b25 in start_thread () from /lib/libpthread.so.0
#11 0xb574f46e in clone () from /lib/libc.so.6

Thread 4 (Thread 0x9b8feb70 (LWP 17562)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb53d6125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb575d24c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb4d1ffa7 in ?? () from /usr/lib/libQtScript.so.4
#4  0xb4d1ffef in ?? () from /usr/lib/libQtScript.so.4
#5  0xb53d1b25 in start_thread () from /lib/libpthread.so.0
#6  0xb574f46e in clone () from /lib/libc.so.6

Thread 3 (Thread 0xaba29b70 (LWP 17682)):
[KCrash Handler]
#6  0xffffe424 in __kernel_vsyscall ()
#7  0xb56a77ff in raise () from /lib/libc.so.6
#8  0xb56a9140 in abort () from /lib/libc.so.6
#9  0xb56e3fd7 in __libc_message () from /lib/libc.so.6
#10 0xb56e9ffb in malloc_printerr () from /lib/libc.so.6
#11 0xb56ec4da in _int_malloc () from /lib/libc.so.6
#12 0xb56ee62a in malloc () from /lib/libc.so.6
#13 0xb56f21b1 in strdup () from /lib/libc.so.6
#14 0xaeeb50d3 in vlc_meta_Set (p_meta=0x135854a0, meta_type=vlc_meta_Genre, psz_val=0x805c800 "Country") at input/meta.c:114
#15 0xac6b3eee in ReadMeta (p_this=0x9ce0208c) at taglib.cpp:407
#16 0xaeef4b55 in module_need (p_this=0x9ce0208c, psz_capability=0xaef3602a "meta reader", psz_name=<value optimized out>, b_strict=false) at modules/modules.c:559
#17 0xaeeac57f in InputSourceMeta (p_input=0x1350bf6c, p_source=<value optimized out>, p_meta=0x9ce04960) at input/input.c:2751
#18 0xaeeb00cd in Init (p_input=<value optimized out>) at input/input.c:1287
#19 0xaeeb1aeb in input_Preparse (p_parent=0x8311484, p_item=0x133fbfb0) at input/input.c:195
#20 0xaee8ce19 in Preparse (data=0x83ffdb8) at playlist/preparser.c:140
#21 Thread (data=0x83ffdb8) at playlist/preparser.c:220
#22 0xb53d1b25 in start_thread () from /lib/libpthread.so.0
#23 0xb574f46e in clone () from /lib/libc.so.6

Thread 2 (Thread 0x8f068b70 (LWP 17683)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb575d5b3 in __lll_lock_wait_private () from /lib/libc.so.6
#2  0xb56f035f in _L_lock_10260 () from /lib/libc.so.6
#3  0xb56eead6 in free () from /lib/libc.so.6
#4  0xb58b798f in operator delete(void*) () from /usr/lib/libstdc++.so.6
#5  0xb4e8ddea in TagLib::FileRef::~FileRef() () from /usr/lib/libtag.so.1
#6  0xac6b3c04 in ReadMeta (p_this=0x9c103894) at taglib.cpp:360
#7  0xaeef4b55 in module_need (p_this=0x9c103894, psz_capability=0xaef3602a "meta reader", psz_name=<value optimized out>, b_strict=false) at modules/modules.c:559
#8  0xaeeac57f in InputSourceMeta (p_input=0x135d5d34, p_source=<value optimized out>, p_meta=0x9c125ce8) at input/input.c:2751
#9  0xaeeb00cd in Init (p_input=<value optimized out>) at input/input.c:1287
#10 0xaeeb448c in Run (p_this=0x135d5d34) at input/input.c:537
#11 0xaeefa429 in thread_entry (data=0x118a2db8) at misc/threads.c:58
#12 0xb53d1b25 in start_thread () from /lib/libpthread.so.0
#13 0xb574f46e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb24e2710 (LWP 17490)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb575d5b3 in __lll_lock_wait_private () from /lib/libc.so.6
#2  0xb56f035f in _L_lock_10260 () from /lib/libc.so.6
#3  0xb56eead6 in free () from /lib/libc.so.6
#4  0xb63daf3b in qFree(void*) () from /usr/lib/libQtCore.so.4
#5  0xb6683b77 in KStandardDirs::exists(QString const&) () from /usr/lib/libkdecore.so.5
#6  0xb75d5f99 in KIconCache::existingIconThemeDirs(QStringList const&) const () from /usr/lib/libkdeui.so.5
#7  0xb75d61c7 in KIconCache::find(QString const&, QPixmap&, QString*) () from /usr/lib/libkdeui.so.5
#8  0xb75d680b in KIconLoader::loadIcon(QString const&, KIconLoader::Group, int, int, QStringList const&, QString*, bool) const () from /usr/lib/libkdeui.so.5
#9  0xb75d8eb4 in ?? () from /usr/lib/libkdeui.so.5
#10 0xb5ae0354 in QIcon::pixmap(QSize const&, QIcon::Mode, QIcon::State) const () from /usr/lib/libQtGui.so.4
#11 0xb714da34 in ?? () from /usr/lib/libamaroklib.so.1
#12 0xb714de7c in ?? () from /usr/lib/libamaroklib.so.1
#13 0xb69c03db in RatingWidget::paint(QPainter*, QStyleOptionGraphicsItem const*, QWidget*) () from /usr/lib/libamaroklib.so.1
#14 0xb609eeb7 in ?? () from /usr/lib/libQtGui.so.4
#15 0xb60b2314 in ?? () from /usr/lib/libQtGui.so.4
#16 0xb60b4eb0 in ?? () from /usr/lib/libQtGui.so.4
#17 0xb60b5d26 in ?? () from /usr/lib/libQtGui.so.4
#18 0xb60b4f4f in ?? () from /usr/lib/libQtGui.so.4
#19 0xb60b5d26 in ?? () from /usr/lib/libQtGui.so.4
#20 0xb60b4f4f in ?? () from /usr/lib/libQtGui.so.4
#21 0xb60b5d26 in ?? () from /usr/lib/libQtGui.so.4
#22 0xb60b6617 in ?? () from /usr/lib/libQtGui.so.4
#23 0xb60d7050 in QGraphicsView::paintEvent(QPaintEvent*) () from /usr/lib/libQtGui.so.4
#24 0xb5a86f5a in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#25 0xb5e80765 in QFrame::event(QEvent*) () from /usr/lib/libQtGui.so.4
#26 0xb5f0ee01 in QAbstractScrollArea::viewportEvent(QEvent*) () from /usr/lib/libQtGui.so.4
#27 0xb60d7c8c in QGraphicsView::viewportEvent(QEvent*) () from /usr/lib/libQtGui.so.4
#28 0xb5f11776 in ?? () from /usr/lib/libQtGui.so.4
#29 0xb64d9fa6 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#30 0xb5a2dc34 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#31 0xb5a35ca4 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#32 0xb6fcd37a in App::notify(QObject*, QEvent*) () from /usr/lib/libamaroklib.so.1
#33 0xb64d9e0e in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#34 0xb5a81c82 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/libQtGui.so.4
#35 0xb5a829d7 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib/libQtGui.so.4
#36 0xb5a819d8 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/libQtGui.so.4
#37 0xb5a829d7 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib/libQtGui.so.4
#38 0xb5a819d8 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/libQtGui.so.4
#39 0xb5a829d7 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib/libQtGui.so.4
#40 0xb5a819d8 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/libQtGui.so.4
#41 0xb5a829d7 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib/libQtGui.so.4
#42 0xb5a819d8 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/libQtGui.so.4
#43 0xb5c5fa98 in ?? () from /usr/lib/libQtGui.so.4
#44 0xb5a776fb in QWidgetPrivate::syncBackingStore() () from /usr/lib/libQtGui.so.4
#45 0xb5a87a16 in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#46 0xb5e9d20c in QMainWindow::event(QEvent*) () from /usr/lib/libQtGui.so.4
#47 0xb756f364 in KMainWindow::event(QEvent*) () from /usr/lib/libkdeui.so.5
#48 0xb5a2dc64 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#49 0xb5a35ca4 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#50 0xb6fcd37a in App::notify(QObject*, QEvent*) () from /usr/lib/libamaroklib.so.1
#51 0xb64d9e0e in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#52 0xb64dd9b4 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQtCore.so.4
#53 0xb64ddb9c in QCoreApplication::sendPostedEvents(QObject*, int) () from /usr/lib/libQtCore.so.4
#54 0xb60ad376 in ?? () from /usr/lib/libQtGui.so.4
#55 0xb60ad79b in QGraphicsScene::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libQtGui.so.4
#56 0xb5032642 in Plasma::Corona::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libplasma.so.3
#57 0xb69a16f2 in Context::ContextScene::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libamaroklib.so.1
#58 0xb64dfefd in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/libQtCore.so.4
#59 0xb64e9945 in QMetaCallEvent::placeMetaCall(QObject*) () from /usr/lib/libQtCore.so.4
#60 0xb64ec93f in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
#61 0xb60ba740 in QGraphicsScene::event(QEvent*) () from /usr/lib/libQtGui.so.4
#62 0xb5a2dc64 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#63 0xb5a35bf7 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#64 0xb6fcd37a in App::notify(QObject*, QEvent*) () from /usr/lib/libamaroklib.so.1
#65 0xb64d9e0e in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#66 0xb64dd9b4 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQtCore.so.4
#67 0xb64ddb9c in QCoreApplication::sendPostedEvents(QObject*, int) () from /usr/lib/libQtCore.so.4
#68 0xb650583d in ?? () from /usr/lib/libQtCore.so.4
#69 0xb3306b49 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#70 0xb3307350 in ?? () from /usr/lib/libglib-2.0.so.0
#71 0xb330760e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#72 0xb6505d4b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#73 0xb5ade19a in ?? () from /usr/lib/libQtGui.so.4
#74 0xb64d911d in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#75 0xb64d9319 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#76 0xb64ddc70 in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#77 0xb5a2b164 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#78 0x0804fa23 in _start ()

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2010-09-30 09:15:42 UTC
Please upgrade to Amarok 2.3.2 and try again.
Comment 2 Myriam Schweingruber 2010-12-20 14:30:14 UTC
Closing for lack of feedback, likely already solved in 2.3.1 or later